Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_strterm_heredoc_struct Struct Reference

## Data Fields
VALUE | lastline
long | offset
int | sourceline
unsigned | length: HERETERM_LENGTH_BITS#define HERETERM_LENGTH_MAX
unsigned | quote: 1
unsigned | func: 8

## Detailed Description

Definition at line 731 of file ripper.c.

## Field Documentation

## ◆ func

unsigned rb_strterm_heredoc_struct::func

Definition at line 745 of file ripper.c.

Referenced by rb_parser_set_location_from_strterm_heredoc().

## ◆ lastline

VALUE rb_strterm_heredoc_struct::lastline

Definition at line 732 of file ripper.c.

Referenced by rb_strterm_mark().

## ◆ length

unsigned rb_strterm_heredoc_struct::length

Definition at line 742 of file ripper.c.

Referenced by rb_parser_set_location_from_strterm_heredoc().

## ◆ offset

long rb_strterm_heredoc_struct::offset

Definition at line 733 of file ripper.c.

Referenced by rb_parser_set_location_from_strterm_heredoc().

## ◆ quote

unsigned rb_strterm_heredoc_struct::quote

Definition at line 744 of file ripper.c.

Referenced by rb_parser_set_location_from_strterm_heredoc().

## ◆ sourceline

int rb_strterm_heredoc_struct::sourceline

Definition at line 734 of file ripper.c.

Referenced by rb_parser_set_location_from_strterm_heredoc().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c